package com.ruoyi.system.utils;

import java.io.IOException;
import org.springframework.mock.web.MockMultipartFile;
import java.nio.file.Files;
import org.springframework.web.multipart.MultipartFile;
import java.nio.file.Path;

public class FileConversionUtil
{
    public static MultipartFile pathToMultipartFile(final Path filePath) throws IOException {
        final byte[] fileContent = Files.readAllBytes(filePath);
        return (MultipartFile)new MockMultipartFile("file", "wp.zip", Files.probeContentType(filePath), fileContent);
    }
}
